import { request } from '/@/utils/service';

const apiPrefix = '/api/searchterm/';


export function getTableData(query: any) {
  return request({
    url: apiPrefix + 'brandview/',
    method: 'GET',
    params: query,
  });
}

export function postDownload(body: any) {
  return request({
    url: apiPrefix + 'topsearchtermTable/',
    method: 'POST',
    params: body,
    responseType: 'blob',
    headers: {
      'Accept': 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet' // 指定接受 Excel 文件
    }
  });
}
